## Struct template is_file_param_array_type<T, std::enable_if_t< std::experimental::is_detected_v< value_type_t, T > and std::experimental::is_detected_v< iterator_t, T > and not std::experimental::is_detected_v< std_string_npos_t, T > >>

zeep::http::is_file_param_array_type<T, std::enable_if_t< std::experimental::is_detected_v< value_type_t, T > and std::experimental::is_detected_v< iterator_t, T > and not std::experimental::is_detected_v< std_string_npos_t, T > >>

## Synopsis

    // In header: <zeep/http/request.hpp>

    template<typename T>
    struct is_file_param_array_type<T, std::enable_if_t< std::experimental::is_detected_v< value_type_t, T > and std::experimental::is_detected_v< iterator_t, T > and not std::experimental::is_detected_v< std_string_npos_t, T > >> {

      // public data members
      static constexpr bool value;
    };